<?php include "conexion.inc" ?>
<?php include "validacion.php" ?>
<!doctype html>
<html lang="es">
	<head>
		<?php include '../index/head.php'; ?>
		<?php
			if (isset($_POST['Guardar']))
			{
				//Crear variables
				$cR01 = $_POST['cV01'];			// BARRAS DESDE
				$cR02 = $_POST['cV02'];			// BARRAS HASTA
				$cR03 = $_POST['cV03'];			// UBICACION
				$cR04 = $_POST['cV04'];			// RESPONSABLE
				// conexión
				$servername = $svr_servidor;
				$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
				$conexion = sqlsrv_connect($servername, $conectioninfo);
				if ($conexion == false)
				{
					$mensaje = "Existe un error al intentar conectarse con el servidor...";
				}
				else
				{
					for ($i = $cR01; $i <= $cR02; $i++)
					{
						/* ACTUALIZO RUTA */
						$cL01 = $i;
						$cL02 = $cR03;
						$sql = "INSERT INTO JOIN_CAJAMASTER_UBICACION (CODIGOBARRAS, UBICACION, FECHAALTA) VALUES \n"
							  ."('$cL01', '$cL02', GETDATE())";						
						$params = array();
						$options = array("scrollable" => SQLSRV_CURSOR_KEYSET);
						// Lanzar la consulta
						$resultado = sqlsrv_query($conexion, $sql);
						if ( $resultado )
						{
							 $something = "Submission successful.";
						}
						else
						{
							 $something = "Submission unsuccessful.";
							 die( print_r( sqlsrv_errors(), true));
						}
						sqlsrv_free_stmt($resultado);
					}
				}
				// REGISTRO LOG
				$servername = $svr_servidor;
				$conectioninfo = array("Database"=>"JOININTEGRADOR", "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
				$conexion = sqlsrv_connect($servername, $conectioninfo);
				if ($conexion == false)
				{
					$mensaje = "Existe un error al intentar conectarse con el servidor...";
				}
				else
				{
					/* ACTUALIZO RUTA */
					$cL01 = 2;
					$cL02 = "Caja master 4x4 (102 x 102)";
					$cL03 = "Reasignacion Desde ".$cR01." Hasta ".$cR02."";
					$cL04 = $cR04;
					$cL05 = 0;
					$sql = "INSERT INTO log_joinmanager (IdModulo, Modulo, Campo, Responsable, Valor, FechaAccion) VALUES \n"
						  ."('$cL01', '$cL02', '$cL03', '$cL04', '$cL05', GETDATE())";
					$params = array();
					$options = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$resultado = sqlsrv_query($conexion, $sql);
					if ( $resultado )
					{
						 $something = "Submission successful.";
					}
					else
					{
						 $something = "Submission unsuccessful.";
						 die( print_r( sqlsrv_errors(), true));
					}
					sqlsrv_free_stmt($resultado);
				}
				sqlsrv_close($conexion);				
				sqlsrv_close($conexion);
				echo "
				<script languaje='javascript' type='text/javascript'>
					self.close();
				</script>
				";
			}
		?>
	</head>
	<body class="nav-md" onLoad="recargar();">
		<div class="container body">
			<div class="main_container">
				<div class="right_col" role="main">
				<div class="">
					<!-- page content -->
					<div class="clearfix"></div>
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">	
							<div class="x_panel">
								<div class="x_content">
									<form name="unidades" class="form-vertical" method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data" onsubmit="return valida_campos(this)">
										<div class="row">
											<div class="col-sm-4">
												<div class="form-group">
													<label>CODIGO DE BARRAS DESDE</label>
													<input type="number" class="form-control" name="cV01">
												</div>
											</div>
											<div class="col-sm-4">
												<div class="form-group">
													<label>CODIGO DE BARRAS HASTA</label>
													<input type="number" class="form-control" name="cV02">
												</div>
											</div>
											<div class="col-sm-4">
												<div class="form-group">
													<label>UBICACION</label>
													<input type="text" class="form-control" name="cV03">
												</div>
											</div>
											<div class="col-sm-4">
												<div class="form-group">
													<label>RESPONSABLE</label>
													<input type="text" class="form-control" name="cV04">
												</div>
											</div>
										</div>
										<div class="row">
											<div class="form-group">
												<button type="submit" class="btn btn-success" name="Guardar">
													<span class="glyphicon glyphicon-floppy-disk" aria-hidden="true"></span> Guardar/Actualizar
												</button>
												<button type="button" class="btn btn-danger" onclick="self.close();">
													<span class="glyphicon glyphicon-remove-circle" aria-hidden="true"></span> Cancelar
												</button>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php include '../index/fbody.php'; ?>
	</body>
</html>
<script>
	function valida_campos(f)
	{
		if (this.unidades.cV01.value == '')
		{
			alert("Ingrese un codigo de barras Desde.");
			this.unidades.cV01.focus();
			return false;
		}
		if (this.unidades.cV01.value == 0)
		{
			alert("Ingrese un codigo de barras Desde.");
			this.unidades.cV01.focus();
			return false;
		}
		if (this.unidades.cV02.value == '')
		{
			alert("Ingrese un codigo de barras Hasta.");
			this.unidades.cV02.focus();
			return false;
		}
		if (this.unidades.cV02.value == 0)
		{
			alert("Ingrese un codigo de barras Hasta.");
			this.unidades.cV02.focus();
			return false;
		}
		var v1 = this.unidades.cV01.value;
		var v2 = this.unidades.cV02.value;
		var v3 = (v2 - v1) + 1
		if (v3 > 20)
		{
			alert("Rango permitido 20.");
			return false;
		}
		if (this.unidades.cV03.value == '')
		{
			alert("Ingrese una ubicacion.");
			this.unidades.cV03.focus();
			return false;
		}
		if (this.unidades.cV04.value == '')
		{
			alert("Ingrese un responsable.");
			this.unidades.cV04.focus();
			return false;
		}
	}
</script>